/*
 * Intel ACPI Component Architecture
 * AML/ASL+ Disassembler version 20210930 (32-bit version)
 * Copyright (c) 2000 - 2021 Intel Corporation
 * 
 * Disassembling to symbolic ASL+ operators
 *
 * Disassembly of SSDT-XOSI.aml, Sat Dec 11 12:45:25 2021
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x00000143 (323)
 *     Revision         0x02
 *     Checksum         0x6C
 *     OEM ID           "DRTNIA"
 *     OEM Table ID     "XOSI"
 *     OEM Revision     0x00001000 (4096)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20190509 (538510601)
 */
DefinitionBlock ("", "SSDT", 2, "DRTNIA", "BAT0", 0x00001000)
{
    External (_SB_.PCI0.LPCB.EC, DeviceObj)
    Scope (\_SB.PCI0.LPCB.EC)
    {
       Device (BAT0)
       {
           Name (_HID, EisaId ("PNP0C0A") /* Control Method Battery */)  // _HID: Hardware ID
           Name (_UID, One)  // _UID: Unique ID
           Method (_STA, 0, NotSerialized)  // _STA: Status
           {
               If ((ECWR & 0x02))
               {
                   Return (0x1F)
               }

               Return (Zero)
           }

           Method (_BIF, 0, NotSerialized)  // _BIF: Battery Information
           {
               Name (BPKG, Package (0x0D)
               {
                   Zero, 
                   Ones, 
                   Ones, 
                   One, 
                   Ones, 
                   Zero, 
                   Zero, 
                   0x64, 
                   Zero, 
                   "SR Real Battery", 
                   "123456789", 
                   "Real", 
                   "Intel SR 1"
               })
               BPKG [One] = (B1DC * 0x0A)
               BPKG [0x02] = (B1FC * 0x0A)
               If (B1FC)
               {
                   BPKG [0x05] = ((B1FC * 0x0A) / 0x0A)
                   BPKG [0x06] = ((B1FC * 0x0A) / 0x19)
                   BPKG [0x07] = ((B1DC * 0x0A) / 0x64)
               }

               Return (BPKG) /* \_SB_.PCI0.LPCB.H_EC.BAT0._BIF.BPKG */
           }

           Method (_BST, 0, NotSerialized)  // _BST: Battery Status
           {
               Name (PKG1, Package (0x04)
               {
                   Ones, 
                   Ones, 
                   Ones, 
                   Ones
               })
               PKG1 [Zero] = (B1ST & 0x07)
               If ((B1ST & One))
               {
                   Local0 = (B1CR * B1FV)
                   Local0 = (Local0 / 0x03E8)
                   PKG1 [One] = Local0
               }
               Else
               {
                   Local0 = (B1CR * B1FV)
                   Local0 = (Local0 / 0x03E8)
                   PKG1 [One] = Local0
               }

               PKG1 [0x02] = (B1RC * 0x0A)
               PKG1 [0x03] = B1VT /* \_SB_.PCI0.LPCB.H_EC.B1VT */
               Return (PKG1) /* \_SB_.PCI0.LPCB.H_EC.BAT0._BST.PKG1 */
           }

            Method (_PCL, 0, NotSerialized)  // _PCL: Power Consumer List
            {
                Return (_SB) /* \_SB_ */
            }
        }
    }
}

